package com.cusc.nirvana.user.rnr.enterprise.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author stayAnd
 * @date 2022/4/15
 */
@Getter
@AllArgsConstructor
/**
 * 车企租户管理员  101
 *
 * 车企业务操作员  102

 * 经销商管理员  201
 * 经销商业务操作员202
 */
public enum RoleEnum {
	/**
	 * 车企租户管理员
	 */
	CAR_ENTERPRISES_ADMIN("101","车企租户管理员"),

	/**
	 * 车企业务操作员
	 */
	CAR_ENTERPRISES_OP("102","车企业务操作员"),

	/**
	 * 经销商管理员
	 */
	DISTRIBUTOR_ENTERPRISES_ADMIN("201","经销商管理员"),

	/**
	 * 经销商业务操作员
	 */
	DISTRIBUTOR_ENTERPRISES_OP("202","经销商业务操作员"),
	;
	private String code;

	private String name;




}
