package com.cusc.nirvana.user.rnr.enterprise.constants;

public enum CompanyTypeEnum {
    /**
     * 企业
     */
    ENTERPRISE("ENTERPRISE", "企业"),
    /**
     * 车企
     */
    AUTOMOBILE_ENTERPRISE("AUTOMOBILE_ENTERPRISE", "车企");

    private String code;
    private String name;

    CompanyTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public static CompanyTypeEnum getEnumByCode(String code) {
        for (CompanyTypeEnum sys : CompanyTypeEnum.values()) {
            if (sys.getCode().equals(code)) {
                return sys;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
