package com.cusc.nirvana.user.rnr.enterprise.constants;

/**
 * @className: FileMouldEnum
 * @description: TODO
 * @author: fxh
 * @date: 2022/6/2 15:00
 * @version: 1.0
 **/
public enum FileMouldEnum {
    /**
     * 车厂
     */
    people_Mould_Url(0, "个人入网协议模板","peopleMouldUrl"),
    /**
     * 经销商
     */
    company_Mould_Url(1, "公司入网协议模板","companyMouldUrl"),
    /**
     *
     */
    real_name_Mould_Url(2, "实名制责任告知书模板","realnameMouldUrl"),

    /**
     *
     */
    authorize_Mould_Url(3, "企业授权书模板","authorizeMouldUrl"),

    /**
     *
     */
    other_Mould_Url(4, "其它模板","otherMouldUrl");

    private int code;
    private String name;
    private String msg;

    FileMouldEnum(int code, String name , String msg) {
        this.code = code;
        this.name = name;
        this.msg = msg;
    }

    public static FileMouldEnum getFileMouldCode(int code) {
        for (FileMouldEnum e : FileMouldEnum.values()) {
            if (e.getCode() == code) {
                return e;
            }
        }
        return null;
    }

    public static FileMouldEnum[] getFileMouldMap() {
        return FileMouldEnum.values();
    }

    public int getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public String getMsg() {
        return msg;
    }


}
