package com.cusc.nirvana.user.rnr.enterprise.constants;

/**
 * @className: RoleTyeEnum
 * @description: TODO
 * @author: fxh
 * @date: 2022/5/27 9:36
 * @version: 1.0
 **/
public enum RoleTyeEnum {
    /**
     * 车厂
     */
    CAR_FACTORY("101", "车厂或者车企子组织"),
    SON_FACTORY("103", "子组织"),
    UPDATE_CAR_FACTORY("102", "车厂或者车企子组织管理员降级"),
    /**
     * 经销商
     */
    DISTRIBUTOR("201", "经销商"),
    UPDATE_DISTRIBUTOR("202", "经销商管理员降级");
    private String code;
    private String name;

    RoleTyeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public static RoleTyeEnum getEnumByCode(String code) {
        for (RoleTyeEnum e : RoleTyeEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
