package com.cusc.nirvana.user.rnr.enterprise.constants;

/**
 * @className: VehicleChannelType
 * @description: 渠道类型
 * @author: jk
 * @date: 2022/6/29 9:46
 * @version: 1.0
 **/
public enum VehicleChannelTypeEnum {

    PHYSICAL_CHANNEL("1", "实体渠道"),

    PERSONNEL_ISIT("2", "人员上门"),

    ELECTRONIC_CHANNEL("3", "电子渠道");

    private String code;
    private String name;

    VehicleChannelTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public static VehicleChannelTypeEnum getEnumByCode(String code) {
        for (VehicleChannelTypeEnum e : VehicleChannelTypeEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
