package com.cusc.nirvana.user.rnr.enterprise.convert;

import com.cusc.nirvana.user.rnr.enterprise.dto.EnterpriseRnrCertificationInfoDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.VehicleEnterpriseRnrEchoDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgVehicleCompanyDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

/**
 * Description: 车企实名convert
 * <br />
 * CreateDate 2022-05-03 14:51:07
 *
 * @author yuyi
 **/
@Mapper
public interface ManufacturerRnrConvert {

    ManufacturerRnrConvert INSTANCE = Mappers.getMapper(ManufacturerRnrConvert.class);

    @Mappings(value = {
            @Mapping(target = "licenseImages", ignore = true),
    })
    EnterpriseRnrCertificationInfoDTO vehicleCompanyToManufacturerRnrDTO(MgVehicleCompanyDTO bean);

    VehicleEnterpriseRnrEchoDTO vehicleCompanyToEchoDTO(MgVehicleCompanyDTO bean);
}
