package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class BindSimVehicleRequestDTO {

    @ApiModelProperty("vin码")
    @NotBlank(message = "vin码不能为空")
    private String vin;

    @ApiModelProperty("iccid编号")
    @NotBlank(message = "iccid不能为空")
    private String iccid;

    @ApiModelProperty("组织（车厂）编码")
    @NotBlank(message = "组织编码不能为空")
    private String organizationId;

}
