package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author stayAnd
 * @date 2022/4/15
 * 切换经销商管理员
 */
@Data
@ApiModel("切换经销商管理员")
public class DistributorChangeAdminDTO {

	@ApiModelProperty("经销商id")
	@NotNull
	private String id;

	@ApiModelProperty("经销商当前管理员id")
	@NotNull
	private String currentAdminUserId;

	@ApiModelProperty("更换为新管理员的用户id")
	private String newAdminUserId;

	@ApiModelProperty("创建新管理员的的用户账号")
	private String createAdminAccount;

	@ApiModelProperty("创建新管理员的的用户密码")
	private String createAdminPassword;

	@ApiModelProperty("创建新管理员的的用户手机号")
	private String createAdminPhone;

	@ApiModelProperty("创建新管理员的的用户姓名")
	private String createAdminUserName;

}
