package com.cusc.nirvana.user.rnr.enterprise.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @author yubo
 * @since 2022-04-19 09:08
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class EMVinCardResponseDTO {
    //校验记录总数
    private int totalCount;

    //校验失败记录数
    private int failCount;

    //校验失败文件ID
    private String fileId;

    //文件名称
    private String fileName;

//    //校验成功记录
//    private List<VinCardDTO> successList = new ArrayList<>();

    public EMVinCardResponseDTO(int totalCount, int failCount, String fileId) {
        this.totalCount = totalCount;
        this.failCount = failCount;
        this.fileId = fileId;
    }
}
