package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.*;

@Data
public class EnterpriseRnrFollowUpDTO implements Serializable {
    private static final long serialVersionUID = 8325801116331488860L;
    //@ApiModelProperty("请求ID")
    //@NotEmpty(
    //        message = "请求ID不能为空"
    //)
    //private String requestId;

    @ApiModelProperty("文件系统ID")
    @NotEmpty(
            message = "文件系统ID不能为空"
    )
    private String fileId;

    //@ApiModelProperty("活体视频")
    //@NotEmpty(
    //        message = "活体视频不能为空"
    //)
    //private String liveVerificationVideo;

    @ApiModelProperty("车企信息id")
    @NotEmpty(
            message = "车企信息id不能为空"
    )
    private String vehicleEnterpriseId;

}
