package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author stayAnd
 * @date 2022/7/4
 */
@Data
public class LogInfoRequestDTO  {

	@ApiModelProperty("组织id")
	private String orgId;

	@ApiModelProperty("账号")
	private String account;

	@ApiModelProperty("手机号")
	private String phone;

	@ApiModelProperty("日志类型")
	private String logCategory;

	@ApiModelProperty("操作类型")
	private String logOpt;

	@ApiModelProperty("查询时间开始")
	private Date createTimeStart;

	@ApiModelProperty("查询时间结束")
	private Date createTimeEnd;

	@ApiModelProperty(value = "当前页码")
	private Integer currPage = 1;

	@ApiModelProperty(value = "页面显示行数")
	private Integer pageSize = 10;

}
