package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author stayAnd
 * @date 2022/4/13
 */
@Data
@Accessors(chain = true)
@ApiModel("登录返回信息")
public class LoginResponseDTO {

	/**
	 * 访问token
	 */
	@ApiModelProperty("访问token")
	private String accessToken;

	/**
	 * 刷新token
	 */
	@ApiModelProperty("刷新token")
	private String refreshToken;

	/**
	 * 过期时间
	 */
	@ApiModelProperty("过期时间")
	private Integer expiresIn;

	/**
	 * 用户id
	 */
	@ApiModelProperty("用户id")
	private String userId;

	/**
	 * 昵称
	 */
	@ApiModelProperty("昵称")
	private String nickName;

	/**
	 * 登录名，登录时使用的账号如手机号或邮箱
	 */
	@ApiModelProperty("登录名")
	private String loginName;

	/**
	 * 登录用户组织id
	 */
	@ApiModelProperty("登录用户组织id")
	private String organId;

	@ApiModelProperty("登录用户组织名称")
	private String organName;
}
