package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author stayAnd
 * @date 2022/5/10
 * 登录请求短信接口
 */
@Data
public class LoginSmsRequestDTO {

	/**
	 * 图片验证码
	 */
	@NotBlank
	private String captchaImage;

	/**
	 * 手机号
	 */
	@NotBlank
	private String phone;

	/**
	 * 请求图片验证码时返回的requestId
	 */
	@NotBlank
	private String requestId;

	/**
	 * 租户号
	 */
	@NotBlank
	private String tenantNo;

	@ApiModelProperty(value = "平台来源 Web H5")
	private String platformSource;
}
