package com.cusc.nirvana.user.rnr.enterprise.dto;

import lombok.Data;

import java.util.List;
import java.util.Map;
import java.util.TreeMap;

/**
 * @program: workspace-rnr-new
 * @description:
 * @author: lig131
 * @create: 2022-04-25 10:10
 **/
@Data
public class OrderDetailsResponse {
    /**
     * 工单信息
     */
    private OrderInfo orderInfo;
    /**
     * 文件信息
     */
    private Map<String, List<FileInfo>> fileMap = new TreeMap<>();
    /**
     * 认证信息
     */
    private AuthInfo authInfo;
    /**
     * 车卡信息
     */
    private List<CardInfo> cardInfoList;
    /**
     * 车主信息
     */
    private NatualPersonInfo ownerInfo;
    /**
     * 代办人信息
     */
    private NatualPersonInfo agentInfo;

    /**
     * 企业信息
     */
    private EnterpriseInfo enterpriseInfo;
    /**
     * 原企业信息
     */
    private EnterpriseInfo oldCompanyInfo;
    /**
     * 新责任人信息
     */
    private NatualPersonInfo newOwnerInfo;
}
