package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @className: OrganUserAccountDTO
 * @description: TODO
 * @author: fxh
 * @date: 2022/5/26 17:52
 * @version: 1.0
 **/
@Data
@ApiModel("用户账号列表对象")
public class OrganUserAccountDTO {

    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("组织id")
    @NotNull(message = "组织id不可为空")
    private String organId;

    @ApiModelProperty("租户编号")
    @NotNull(message = "租户编号不可为空")
    private String tenantNo;
}
