package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;
import java.util.List;

/**
 * 个人实名认证 response DTO
 *
 * @author huchenhui
 * @date 2022-04-14
 */
@Data
public class PersonalRnrH5RespDTO implements Serializable {
    private static final long serialVersionUID = -1788690841295053853L;

    @ApiModelProperty(value = "请求ID")
    private String requestId;

    @ApiModelProperty(value = "实名ID")
    private String rnrId;

    @ApiModelProperty(value = "工单ID")
    private String orderId;

    @ApiModelProperty(value = "返回消息")
    private List<String> responseMsg;

    @ApiModelProperty(value = "H5活体认证url")
    private String h5LivenessUrl;
}
