package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Map;

/**
 * @className: ProtocolManageDTO
 * @description: TODO
 * @author: fxh
 * @date: 2022/6/1 13:48
 * @version: 1.0
 **/
@Data
public class QueryProtocolManageDTO {

    private static final long serialVersionUID = 660172581660870804L;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "uuid")
    private String uuid;

    @ApiModelProperty(value = "orgId")
    private String orgId;

    @ApiModelProperty(value = "个人入网协议word")
    @NotNull(message = "个人入网协议word不可为空")
    private Map peopleAgreementWord;

    @ApiModelProperty(value = "个人入网协议横版")
    @NotNull(message = "个人入网协议横版不可为空")
    private Map peopleAgreementHorizontal;

    @ApiModelProperty(value = "个人入网协议竖版")
    @NotNull(message = "个人入网协议竖版不可为空")
    private Map peopleAgreementVertical;

    @ApiModelProperty(value = "公司入网协议word")
    @NotNull(message = "公司入网协议word不可为空")
    private Map companyAgreementWord;

    @ApiModelProperty(value = "公司入网协议横板")
    @NotNull(message = "公司入网协议横板不可为空")
    private Map companyAgreementHorizontal;

    @ApiModelProperty(value = "公司入网协议竖版")
    @NotNull(message = "公司入网协议竖版不可为空")
    private Map companyAgreementVertical;

    @ApiModelProperty(value = "实名制责任告知书word")
    @NotNull(message = "实名制责任告知书word不可为空")
    private Map realnameNoticeWord;

    @ApiModelProperty(value = "实名制责任告知书横板")
    @NotNull(message = "实名制责任告知书横板不可为空")
    private Map realnameNoticeHorizontal;

    @ApiModelProperty(value = "实名制责任告知书竖版")
    @NotNull(message = "实名制责任告知书竖版不可为空")
    private Map realnameNoticeVertical;

    @ApiModelProperty(value = "企业授权书word")
    @NotNull(message = "企业授权书word不可为空")
    private Map companyAuthorizeWord;

    @ApiModelProperty(value = "企业授权书横板")
    @NotNull(message = "企业授权书横板不可为空")
    private Map companyAuthorizeHorizontal;

    @ApiModelProperty(value = "企业授权书竖版")
    @NotNull(message = "企业授权书竖版不可为空")
    private Map companyAuthorizeVertical;

    @ApiModelProperty(value = "其它word")
    private Map otherWord;

    @ApiModelProperty(value = "其它横板")
    private Map otherHorizontal;

    @ApiModelProperty(value = "其它竖版")
    private Map otherVertical;
}
