package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class SearchCardAuthDTO implements Serializable {

    @ApiModelProperty(value = "车辆win号")
    private String vin;

    @ApiModelProperty(value = "关联iccid")
    private String iccid;

    @ApiModelProperty(value = "车主/责任人")
    private String user;

    @ApiModelProperty(value = "车主/责任人手机")
    private String userPhone;

    @ApiModelProperty(value = "业务类型")
    private String orderType;

    @ApiModelProperty(value = "审核进度")
    private String checkStatus;

    @ApiModelProperty(value = "企业名称")
    private String companyName;

    @ApiModelProperty(value = "是否车企实名 0否 1是")
    private Integer isVehicleCompany;

    @ApiModelProperty(value = "经销商名称")
    private String sdfaf;

    @ApiModelProperty(value = "审核人")
    private String checkManager;

    @ApiModelProperty(value = "提审日期 开始")
    private String startSendCheck;

    @ApiModelProperty(value = "提审日期 结束")
    private String endSendCheck;

    @ApiModelProperty(value = "审核日期 开始")
    private String startCheck;

    @ApiModelProperty(value = "审核日期 结束")
    private String endCheck;

    @ApiModelProperty(value = "当前页码")
    private Integer currPage = 1;

    @ApiModelProperty(value = "页面显示行数")
    private Integer pageSize = 10;
}
