package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;


@Data
public class T1CompletionReqDTO {

//    private static final long serialVersionUID = -36413222636238414L;
//
//    @ApiModelProperty(value = "认证信息")
//    private T1AuthDTO Auth;

    @NotNull(message = "请求标识不可为空")
    @ApiModelProperty(value = "请求标识")
    private String RequestID;

    @NotNull(message = "道路机动车辆生产企业编码不可为空")
    @ApiModelProperty(value = "道路机动车辆生产企业编码")
    private String Code;

    @NotNull(message = "车联网卡ICCID不可为空")
    @ApiModelProperty(value = "车联网卡ICCID")
    private String ICCID;

    @NotNull(message = "状态")
    @ApiModelProperty(value = "true:已实名、false:未实名")
    private Boolean IsAuth;

    @ApiModelProperty(value = "信息内容")
    private String Message;

    @ApiModelProperty(value = "实名状态变更时间")
    private String Date;

}

