package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @className: VinCheckDto
 * @description: 检查vin
 * @author: jk
 * @date: 2022/6/16 18:49
 * @version: 1.0
 **/
@Data
public class VinCheckResponseDTO {

    private List<VinCheckDTO> list;

    /**
     * 工单id
     */
    private String orderId;

    @ApiModelProperty("解绑手机号")
    private String phone;

    @ApiModelProperty("姓名")
    private String userName;
}
