package com.cusc.nirvana.user.rnr.enterprise.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author yuzp
 * @file SimVehicleRow
 * @date 2022/4/1
 * @E-mail yuzp19@chinaunicom.cn
 */

@Data
public class CarInfoRow {

    @ExcelProperty(value = "道路机动车辆生产企业名称", index = 0)
    private String nameVehicleEnterprise;

    @ExcelProperty(value = "VIN", index = 1)
    private String vin;

    @ExcelProperty(value = "车辆类型", index = 2)
    private String vehicleType;

    @ExcelProperty(value = "车辆产地", index = 3)
    private String placeOfOriginOfVehicle;

    @ExcelProperty(value = "车辆品牌", index = 4)
    private String vehicleDepartment;

    @ExcelProperty(value = "车辆名称", index = 5)
    private String vehicleName;

    @ExcelProperty(value = "车辆型号", index = 6)
    private String vehicleNum;

    @ExcelProperty(value = "车型通用名称", index = 7)
    private String vehicleModel;

    @ExcelProperty(value = "车身颜色", index = 8)
    private String bodyColor;

    @ExcelProperty(value = "燃料种类", index = 9)
    private String fuelType;

    @ExcelProperty(value = "发动机号码", index = 10)
    private String engineNum;

    @ExcelProperty(value = "电动机序列号", index = 11)
    private String motorNum;

    @ExcelProperty(value = "车辆出厂时间", index = 12)
    private Date vehicleDepartureTime;

    @ExcelProperty(value = "车辆销售时间", index = 13)
    private Date vehicleSalesTime;

    @ExcelProperty(value = "车辆销售信息变更时间", index = 14)
    private Date vehicleSalesUpdateTime;

    @ExcelProperty(value = "车牌号码", index = 15)
    private String licensePlateNumber;

    @ExcelProperty(value = "车辆销售渠道名称", index = 16)
    private String vehicleChannelName;

    @ExcelProperty(value = "车辆销售渠道类型", index = 17)
    private String vehicleChannelType;

    @ExcelProperty(value = "车辆销售渠道员工姓名", index = 18)
    private String vehicleStaffName;

    @ExcelProperty(value = "车辆销售渠道地址", index = 19)
    private String vehicleLogginAddress;

}
