package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.auth.authentication.plug.user.UserSubjectUtil;
import com.cusc.nirvana.user.rnr.enterprise.dto.SecondHandUnbindRequestDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.VehicleCardRnrDTO;
import com.cusc.nirvana.user.rnr.fp.dto.FpRnrSmsInfoDTO;
import com.cusc.nirvana.user.rnr.fp.dto.UnbindReceiceSMSDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgRnrCardInfoDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrOrderDTO;
import com.cusc.nirvana.user.util.CuscStringUtils;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.ArrayList;
import java.util.List;

/**
 * 解绑接口
 * @author yubo
 * @since 2022-04-25 09:31
 */
public interface ICardUnBindService {

    /**
     * 二手车现车主解绑-自然人
     */
    Response secondHandPersonalUnbind(SecondHandUnbindRequestDTO bean);

    Response originalOwner(VehicleCardRnrDTO bean);

//    Response receiveMessage(UnbindReceiceSMSDTO bean);

    Response sendMessage(VehicleCardRnrDTO bean);

//    Response checkMessageStatus(FpRnrSmsInfoDTO bean);

    Response getIccidsByVin(VehicleCardRnrDTO bean);

    Response checkOrderStatus(RnrOrderDTO bean);
}
