package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.enterprise.dto.LogCategoryDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.LogInfoRequestDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.LogInfoResponseDTO;

/**
 * @author stayAnd
 * @date 2022/7/4
 */
public interface ILogService {

	/**
	 * 日志分类
	 * @return 返回结果
	 */
	LogCategoryDTO category();


	/**
	 * 分野查询
	 * @param requestDTO 请求参数
	 * @return 返回结果
	 */
	PageResult<LogInfoResponseDTO> list(LogInfoRequestDTO requestDTO);
}
