package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.dto.*;
import com.cusc.nirvana.user.rnr.fp.dto.SurplusQueryRequestDTO;
import com.cusc.nirvana.user.rnr.fp.dto.SurplusQueryResponseDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgBizNoticeDTO;

/**
 * @author yubo
 * @since 2022-05-03 09:13
 */
public interface ISurplusCardBindService {

    /**
     * Description: 提交绑定剩余卡
     **/
    Response bindSurplusCard(VehicleCardRnrDTO bean);

    /**
     * Description: 查询绑定结果
     **/
    Response<SurplusQueryResponseDTO> queryResult(SurplusQueryRequestDTO bean);
}
