package com.cusc.nirvana.user.rnr.enterprise.service.impl;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.dto.ImportSimDTO;
import com.cusc.nirvana.user.rnr.enterprise.service.ICarInfoImportService;
import com.cusc.nirvana.user.rnr.enterprise.service.ICarInfoUploadService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @className: CarInfoImportServiceImpl
 * @description: 车辆信息导入实现层
 * @author: jk
 * @date: 2022/6/28 19:08
 * @version: 1.0
 **/
@Service
@Slf4j
public class CarInfoImportServiceImpl implements ICarInfoImportService {

    @Resource
    private ICarInfoUploadService iCarInfoUploadService;

    @Override
    public Response<?> importSim(ImportSimDTO importSimDTO) {
        return iCarInfoUploadService.excelProcess(importSimDTO);
    }


}
