package com.cusc.nirvana.user.rnr.enterprise.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
@RefreshScope
@Data
public class EnterpriseConfig {

    @Value("${rnr.tenantNo:1}")
    private String tenantNo;

    @Value("${rnr.allowedOrigins:}")
    private List<String> allowedOrigins;
}
