package com.cusc.nirvana.user.rnr.enterprise.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.ArrayBlockingQueue;
import java.util.concurrent.ThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

/**
 * @author stayAnd
 * @date 2022/6/20
 */
@Configuration
public class ThreadPoolConfig {


	@Bean
	public ThreadPoolExecutor logThreadPool(){
		return new ThreadPoolExecutor(1, 5, 10, TimeUnit.SECONDS,
				new ArrayBlockingQueue<>(1024),new ThreadPoolExecutor.AbortPolicy());
	}
}
