package com.cusc.nirvana.user.rnr.enterprise.constants;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * Description: 普通管理员类型
 * <br />
 * CreateDate 2022-05-19 19:43:58
 *
 * @author yuyi
 **/
public enum OrganBizzTypeEnum {
    /**
     * 车厂
     */
    CAR_FACTORY(1, "车厂"),
    /**
     * 经销商
     */
    DISTRIBUTOR(2, "经销商"),
    /**
     *
     */
    SON_ORGAN(3, "车企子组织");

    private int code;
    private String name;

    OrganBizzTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public static OrganBizzTypeEnum getEnumByCode(int code) {
        for (OrganBizzTypeEnum e : OrganBizzTypeEnum.values()) {
            if (e.getCode() == code) {
                return e;
            }
        }
        return null;
    }

    public static OrganBizzTypeEnum[] getEnumByCodeMap() {
        return OrganBizzTypeEnum.values();
    }

    public int getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
