package com.cusc.nirvana.user.rnr.enterprise.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.dto.RoleDTO;
import com.cusc.nirvana.user.rnr.enterprise.service.IRoleService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author stayAnd
 * @date 2022/4/15
 */
@RestController
@RequestMapping("/userEnterprise/role")
public class RoleController {

	@Resource
	private IRoleService roleService;

	@GetMapping("/getRoListByOrganId")
	public Response<List<RoleDTO>>  getRoListByOrganId(@RequestParam(value = "organId", required = true) String organId){
		return Response.createSuccess(roleService.getRoListByOrganId(organId));
	}

}
