package com.cusc.nirvana.user.rnr.enterprise.controller;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.service.ISmsService;
import com.cusc.nirvana.user.rnr.fp.dto.SmsRequestDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author stayAnd
 * @date 2022/4/12
 */
@RestController
@RequestMapping("/sms")
public class SmsController {

    @Autowired
    private ISmsService smsService;

    @PostMapping("/sendSmsRnr")
    public Response sendSmsRnr(@RequestBody SmsRequestDTO bean) {
        return smsService.sendSmsRnr(bean);
    }

    @PostMapping("/checkSms")
    public Response checkSms(@RequestBody SmsRequestDTO bean) {
        return smsService.checkSmsCaptcha(bean);
    }
}
