package com.cusc.nirvana.user.rnr.enterprise.convert;

import com.cusc.nirvana.user.eiam.dto.OrganizationDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.OrganDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * Description: organ dto转换器
 * <br />
 * CreateDate 2022-05-20 16:56:18
 *
 * @author yuyi
 **/
@Mapper
public interface OrganConvert {

    OrganConvert INSTANCE = Mappers.getMapper(OrganConvert.class);

    /**
     * Description: eiam的组织转为本地的组织
     * <br />
     * CreateDate 2022-05-20 16:56:50
     *
     * @author yuyi
     **/
    OrganDTO eiamOrganToLocalOrgan(OrganizationDTO organizationDTO);


}
