package com.cusc.nirvana.user.rnr.enterprise.convert;

import com.cusc.nirvana.user.eiam.dto.UserPasswordDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.UserPasswReqDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * Description: 用户密码转换器
 * <br />
 * CreateDate 2022-06-12 22:42:35
 *
 * @author yuyi
 **/
@Mapper
public interface UserPasswordConvert {

    UserPasswordConvert INSTANCE = Mappers.getMapper(UserPasswordConvert.class);

    /**
     * Description: eiam的组织转为本地的组织
     * <br />
     * CreateDate 2022-05-20 16:56:50
     *
     * @author yuyi
     **/
    UserPasswordDTO userPasswordReqToEiamDTO(UserPasswReqDTO bean);


}
