package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;


/**
 * @author stayAnd
 * @date 2022/4/14
 */
@Data
@ApiOperation("经销商信息")
public class DistributorDTO {

	@ApiModelProperty("id")
	private String id;

	@ApiModelProperty("经销商编号")
	private String distributorNo;

	@ApiModelProperty("经销商名称")
	private String distributorName;

	@ApiModelProperty("备注")
	private String remark;

	@ApiModelProperty("管理员id")
	private String distributorAdminUserId;

	@ApiModelProperty("管理员姓名")
	private String distributorAdminUserName;

	@ApiModelProperty("管理员账号")
	private String distributorAdminUserAccount;

	@ApiModelProperty("手机号")
	private String phone;

	@ApiModelProperty("状态")
	private Integer status;

	@ApiModelProperty("创建时间")
	private Date createTime;
}
