package com.cusc.nirvana.user.rnr.enterprise.dto;

import com.cusc.nirvana.user.rnr.fp.dto.VinCardDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 企业实名认证 response DTO
 *
 * @author huchenhui
 * @date 2022-04-14
 */
@Data
public class EnterpriseRnrResponseDTO implements Serializable {
    private static final long serialVersionUID = -7732835361569488078L;

    @ApiModelProperty(value = "请求ID")
    private String requestId;

    @ApiModelProperty(value = "返回消息")
    private String responseMsg;

    @ApiModelProperty(value = "文件系统ID")
    private String fileId;

    @ApiModelProperty(value = "车辆VIN号和ICCID编码对集合")
    private List<VinCardDTO> vinCardList;
}
