package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;
import java.util.List;

/**
 * @author jiamj
 * @date 2021/11/3
 */
@Data
@ApiModel("文件下载请求")
public class FileDownloadDTO extends com.cusc.nirvana.user.rnr.fp.dto.FileDownloadDTO implements Serializable {
    private static final long serialVersionUID = -1406102961598468694L;

    @ApiModelProperty("文件uuid")
    private String uuid;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "文件的Url")
    private String fileUrl;

    @ApiModelProperty(value = "文件系统ids")
    private List<String> fileSystemIds;

    public FileDownloadDTO() {
    }

    public FileDownloadDTO(String uuid, String fileName) {
        this.uuid = uuid;
        this.fileName = fileName;
    }
}
