package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;

/**
 * Description: 登录密码请求DTO
 * <br />
 * CreateDate 2022-06-11 21:25:39
 *
 * @author yuyi
 **/
@Data
public class LoginPasswordReqDTO  implements Serializable {

	@ApiModelProperty(value = "应用id", example = "1")
	private String applicationId;

	@ApiModelProperty(value = "租户编号", example = "1")
	private String tenantNo;

	@ApiModelProperty(value = "平台来源 Web H5")
	private String platformSource;

	@ApiModelProperty("请求id")
	private String captchaId;

	@ApiModelProperty("验证码")
	private String captchaCode;

	@ApiModelProperty(value = "请求id", example = "19ea9376058241eca9ce07530fb66f76")
	private String requestId;

	@ApiModelProperty(value = "用户密码")
	private String password;

	@ApiModelProperty(value = "新密码")
	private String newPassword;
}
