package com.cusc.nirvana.user.rnr.enterprise.dto;

import lombok.Data;

/**
 * 工单信息
 *
 * @program: workspace-rnr-new
 * @description:
 * @author: lig131
 * @create: 2022-04-25 10:12
 **/
@Data
public class OrderInfo {
    /**
     * 经销商名称
     * rnr-order.creator  ->eiam.todo-->返回數據
     * TODO
     */
    private String distributorName;
    /**
     * 车企名称
     * rnr-order.creator  ->eiam.todo-->返回數據
     */
    private String vehicleCompanyName;

    /**
     * 业务类型名称
     */
    private String bizTypeName;
    /**
     * 实名日期（yyyy-MM-dd hh:MM:ss）
     */
    private String rnrCreateDate;
    /**
     * 是否是公司
     */
    private Boolean isCompany;

}
