package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @className: OrganUserAccountPage
 * @description: 用户账号列表对象
 * @author: jk
 * @date: 2022/5/26 17:21
 * @version: 1.0
 **/
@Data
@ApiModel("用户账号列表分页")
public class OrganUserAccountPageDTO extends OrganUserAccountDTO{

    @ApiModelProperty(value = "当前页码")
    private Integer currPage = 1;

    @ApiModelProperty(value = "页面显示行数")
    private Integer pageSize = 10;


}
