package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;

/**
 * Description: 短信上行结果DTO
 * <br />
 * CreateDate 2022-04-20 20:22:56
 *
 * @author yuyi
 **/
@Data
public class SmsUpResultDTO implements Serializable {

    private static final long serialVersionUID = -5712879585098743410L;

    @ApiModelProperty(value = "上行状态：0 未收到 1 已收到")
    private Integer status;

    @ApiModelProperty(value = "上行消息手机号")
    private String phone;

    @ApiModelProperty(value = "上行消息内容")
    private String msg;

}
