package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author stayAnd
 * @date 2022/4/15
 */
@Data
@ApiModel("账户信息")
public class UserAccountDTO {

	@ApiModelProperty("id")
	private String id;

	@ApiModelProperty("姓名")
	private String userName;

	@ApiModelProperty("昵称")
	private String nickName;

	@ApiModelProperty("手机号")
	private String phone;

	@ApiModelProperty("账号")
	private String account;

	@ApiModelProperty("状态")
	private Integer status;

	@ApiModelProperty("角色名称")
	private String roleName;

	@ApiModelProperty("所属组织")
	private String organName;

	@ApiModelProperty("创建时间")
	private Date createTime;

	@ApiModelProperty(value = "业务主键")
	private String uuid;

	@ApiModelProperty(value = "用户姓名")
	private String fullName;

	@ApiModelProperty(value = "租户编号")
	private String tenantNo;
}
