package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.*;
import java.util.List;

/**
 * Description: 车企实名时车企信息回显DTO
 * <br />
 * CreateDate 2022-05-03 11:15:51
 *
 * @author yuyi
 **/
@Data
public class VehicleEnterpriseRnrEchoDTO implements Serializable {
    private static final long serialVersionUID = 8325801116331488860L;

    @ApiModelProperty("请求ID")
    private String requestId;

    @ApiModelProperty("车企信息id")
    private String vehicleEnterpriseId;

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("企业证件类型")
    private String companyCertType;

    @ApiModelProperty("企业证件类型名称")
    private String companyCertTypeName;

    @ApiModelProperty("企业证件号码")
    private String companyCertNumber;

    @ApiModelProperty("责任人姓名")
    private String corporationName;

    @ApiModelProperty("责任人手机号")
    private String corporationPhone;

    @ApiModelProperty("企业实名认证授权书")
    private List<String> authorizationLetterPic;

	@ApiModelProperty("责任告知书")
	private List<String> dutyPic;

	@ApiModelProperty("入网合同")
	private List<String> contractPic;
}
