package com.cusc.nirvana.user.rnr.enterprise.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * 车辆VIN号DTO
 *
 * @author huchenhui
 * @date 2022-04-15
 */
@Data
@Accessors(chain = true)
public class VinDTO {

    @ApiModelProperty(value = "车辆VIN号")
    @NotBlank(message = "车辆VIN号不能为空")
    private String vin;
}
