package com.cusc.nirvana.user.rnr.enterprise.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

/**
 * @author yuzp
 * @file SimVehicleRow
 * @date 2022/4/1
 * @E-mail yuzp19@chinaunicom.cn
 */

@Data
public class VehicleSimRelRow {

    @ExcelProperty(value = "VIN码", index = 0)
    private String vin;

    @ExcelProperty(value = "ICCID编码(*)", index = 1)
    private String iccid;

    @ExcelProperty(value = "是否允许补录\r\n(0:不允许,1:允许)", index = 2)
    private Integer realBySelf;

    @ExcelProperty(value = "车辆品牌编码", index = 3)
    private String brand;

    @ExcelProperty(value = "车辆品牌名称", index = 4)
    private String brandName;

    @ExcelProperty(value = "车型编码", index = 5)
    private String vehicleModel;

    @ExcelProperty(value = "车型名称", index = 6)
    private String vehicleModelName;

    @ExcelProperty(value = "车系编码", index = 7)
    private String vehicleSeries;

    @ExcelProperty(value = "车系名称", index = 8)
    private String vehicleSeriesName;

    @ExcelProperty(value = "年份", index = 9)
    private Integer years;

    @ExcelProperty(value = "卡位置\n\r(0:tbox,1:车机)", index = 10)
    private String installLocation;

}
