package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.enterprise.dto.UserAccountDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.UserAccountPageQueryDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.UserAccountUpdateDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.UserAddRequestDTO;

/**
 * @author stayAnd
 * @date 2022/4/15
 */
public interface IAccountService {

	/**
	 * 创建账号
	 * @param dto
	 */
	void addAccount(UserAddRequestDTO dto);

	/**
	 * 分页查询
	 * @param dto dto
	 * @return
	 */
	PageResult<UserAccountDTO> pageList(UserAccountPageQueryDTO dto);

	/**
	 * 更新
	 * @param dto
	 */
	void update(UserAccountUpdateDTO dto);
}
