package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.dto.ImportSimDTO;
import com.cusc.nirvana.user.rnr.fp.dto.FpCarInfoDTO;

/**
 * @className: ICarInfoUploadService
 * @description:
 * @author: jk
 * @date: 2022/6/28 19:17
 * @version: 1.0
 **/
public interface ICarInfoUploadService {

    /**
     * excel文件导入处理
     * @param importSimDTO
     * @return
     */
    Response excelProcess(ImportSimDTO importSimDTO);

    PageResult<FpCarInfoDTO> queryCarInfo(FpCarInfoDTO fpCarInfoDTO);

}
