package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.dto.CompanyRnrResponseDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.EnterpriseRnrFollowUpDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.VehicleEnterpriseRnrEchoDTO;

/**
 * 车企实名认证服务接口
 *
 * @author huchenhui
 * @date 2022-04-14
 */
public interface IManufacturerRnrService {

    /**
     * 查询车企详情
     *
     * @return 实例对象
     */
    VehicleEnterpriseRnrEchoDTO findDetail(String tenantNo, String orgId);

    /**
     * 提交车企实名认证-后续
     *
     * @param bean
     * @return 实例对象
     */
    Response<CompanyRnrResponseDTO> submitRnrFollowUp(EnterpriseRnrFollowUpDTO bean);
}
