package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.dto.*;

import java.util.List;
import java.util.Map;

/**
 * @className: ProtocolManageService
 * @description: 协议管理
 * @author: jk
 * @date: 2022/6/1 13:55
 * @version: 1.0
 **/
public interface IProtocolManageService {
    /**
     * 新增协议管理
     * @param dto
     */
    void add(ProtocolManageDTO dto);


    /**
     * 更新协议内容
     * @param dto
     */
    void update(ProtocolManageUpdateDTO dto);

    /**
     * 查询协议内容
     * @param dto
     * @return
     */
    Response<List<ProtocolManageDTO>> query(ProtocolManageUpdateDTO dto);

    /**
     * 查询文件模板
     * @return
     */
    Response<Map> queryFileMould();

    Response<List<ProtocolManageDTO>> noLogin();

}
