package com.cusc.nirvana.user.rnr.enterprise.service;

import com.cusc.nirvana.user.rnr.enterprise.dto.T1CommonResponseDTO;
import com.cusc.nirvana.user.rnr.enterprise.dto.T1CompletionReqDTO;
import com.cusc.nirvana.user.rnr.fp.dto.FpT1UploadStatusDTO;
import com.cusc.nirvana.user.rnr.fp.dto.InstructionDTO;
import com.cusc.nirvana.common.result.Response;

import java.util.List;


/**
 * @className: T1InstructionService
 * @description: 指令下发
 * @author: jk
 * @date: 2022/7/26 16:57
 * @version: 1.0
 **/
public interface T1InstructionService {

    Response<InstructionDTO> instructionsIssue(InstructionDTO instructionDTO);

    T1CommonResponseDTO callbackResult(T1CompletionReqDTO t1CompletionReqDTO);
}
