package com.cusc.nirvana.user.rnr.enterprise.util;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.eiam.common.IamListRespone;

import java.util.List;

/**
 * Description: 响应值工具类
 * <br />
 * CreateDate 2021-11-09 17:42
 *
 * @author yuyi
 **/
public class ResponseUtil {

    /**
     * Description: 对响应值list类型转换
     * <br />
     * CreateDate 2021-11-09 17:45:25
     *
     * @author yuyi
     **/
    public static <T> Response<IamListRespone<T>> changeResponseList(Response<List<T>> listResponse) {
        Response<IamListRespone<T>> ret = Response.createSuccess();
        if (listResponse != null) {
            IamListRespone listRes = new IamListRespone();
            listRes.setList(listResponse.getData());
            ret = new Response<IamListRespone<T>>(listResponse.getMsg(),
                    listResponse.getCode(), listRes,
                    listResponse.getSuccess(), "");
        }
        return ret;
    }
}
