package com.cusc.nirvana.user.rnr.enterprise.util;

import javax.validation.ConstraintViolation;
import javax.validation.Validation;
import javax.validation.ValidatorFactory;
import java.util.Set;

/**
 * @author yubo
 * @since 2022-04-18 19:17
 */
public class SpringValidationUtil {

    /**
     * 分组验证参数
     * @param <T>
     * @param validateData  参数
     * @param validateGroup 分组
     * @return
     */
    public static <T> Set<ConstraintViolation<T>> groupVerificationParameters(T validateData, Class<?>... validateGroup) {
        ValidatorFactory validatorFactory = Validation.buildDefaultValidatorFactory();
        return validatorFactory.getValidator().validate(validateData, validateGroup);
    }
}
