package com.cusc.nirvana.user.rnr.enterprise;

import com.alibaba.fastjson.JSON;
import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.enterprise.controller.SimVehicleRelController;
import com.cusc.nirvana.user.rnr.fp.dto.SimVehicleQueryDTO;
import com.cusc.nirvana.user.rnr.fp.dto.SimVehicleResultDTO;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest
@RunWith(SpringRunner.class)
public class SimVehicleRelControllerTest  {
    @Autowired
    SimVehicleRelController simVehicleRelController;

    @Test
    public void querySimVehiclePage(){
        SimVehicleQueryDTO queryDTO = JSON.parseObject("{\"organizationId\":\"2022001\",\"iccid\":\"\",\"vin\":\"\",\"currPage\":1,\"pageSize\":20,\"startCreateTime\":1654790400000,\"endCreateTime\":1654876799999}",SimVehicleQueryDTO.class);
        Response<PageResult<SimVehicleResultDTO>> pageResultResponse = simVehicleRelController.querySimVehiclePage(queryDTO);
        System.out.println(JSON.toJSONString(pageResultResponse));
    }
}
